Methods in JavaScript Maps component

The Maps component provides several public methods that enable programmatic control and interaction with map controls. These methods allow developers to perform operations such as retrieving geographic coordinates, manipulating layers, refreshing content, and exporting map visualizations. This section documents the available methods and their usage.

getMinMaxLatitudeLongitude

The getMinMaxLatitudeLongitude method retrieves the geographic boundary coordinates of the currently visible map area. This method returns an IMinMaxLatitudeLongitude object containing the minimum and maximum latitude and longitude values that define the map’s visible bounds.

Use cases:

This method is particularly useful when thre is a need to:

  • Determine which geographic area is currently displayed to users
  • Implement custom zoom or pan controls with boundary validation
  • Synchronize multiple map instances to show the same geographic region
  • Calculate distances or perform spatial queries within the visible area
  • Log or save the current map view state for later restoration

Return value:

The method returns an object with the following structure:

  • minLatitude - The minimum latitude value of the visible area
  • maxLatitude - The maximum latitude value of the visible area
  • minLongitude - The minimum longitude value of the visible area
  • maxLongitude - The maximum longitude value of the visible area
var maps = new ej.maps.Maps({
    zoomSettings: {
        enable: true,
        zoomFactor: 7
    },
    centerPosition: {
        latitude: 21.815447,
        longitude: 80.1932
    },
    layers: [
        {
            shapeData: world_map,
            markerSettings: [
                {
                    visible: true,
                    height: 25,
                    width: 25,
                    shape: 'Circle',
                    animationDuration: 1500,
                    dataSource: [
                        {
                            latitude: 22.572646,
                            longitude: 88.363895
                        },
                        {
                            latitude: 25.0700428,
                            longitude: 67.2847875
                        }
                    ]
                }
            ]
        }
    ]
});
maps.appendTo('#element');

function formatKey(key) {
    if (key === 'minLatitude') {
        return 'Minimum Latitude';
    } else if (key === 'maxLatitude') {
        return 'Maximum Latitude';
    } else if (key === 'minLongitude') {
        return 'Minimum Longitude';
    } else if (key === 'maxLongitude') {
        return 'Maximum Longitude';
    }
}

document.getElementById('button').onclick = () => {
    var mapBoundCoordinates;
    mapBoundCoordinates = maps.getMinMaxLatitudeLongitude();
    const displayDiv = document.getElementById('coordinatesDisplay');
    displayDiv.innerHTML = '';
    if (mapBoundCoordinates) {
        for (const key in mapBoundCoordinates) {
            if (Object.hasOwnProperty.call(mapBoundCoordinates, key)) {
                const p = document.createElement('p');
                const formattedKey = formatKey(key);
                p.textContent = `${formattedKey}: ${mapBoundCoordinates[key]}`;
                displayDiv.appendChild(p);
            }
        }
    } else {
        displayDiv.textContent = 'No coordinates available';
    }
};
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Maps</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <script src="world-map.js"></script>
    <script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>

    <div id="container" style="margin-top: 125px">
        <button id="button" width="15%">GetMinMaxLatitudeLongitude</button>
        <p id="coordinatesDisplay"></p>
        <div id="element"></div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
</body>

</html>

Methods in Angular Maps component

The Maps component provides several public methods that enable programmatic control and interaction with map component. These methods allow developers to perform operations such as retrieving geographic coordinates, manipulating layers, refreshing content, and exporting map visualizations. This section documents the available methods and their usage.

getMinMaxLatitudeLongitude

The getMinMaxLatitudeLongitude method retrieves the geographic boundary coordinates of the currently visible map area. This method returns an IMinMaxLatitudeLongitude object containing the minimum and maximum latitude and longitude values that define the map’s visible bounds.

Use cases:

This method is particularly useful when there is a need to:

  • Determine which geographic area is currently displayed to users
  • Implement custom zoom or pan controls with boundary validation
  • Synchronize multiple map instances to show the same geographic region
  • Calculate distances or perform spatial queries within the visible area
  • Log or save the current map view state for later restoration

Return value:

The method returns an object with the following structure:

  • minLatitude - The minimum latitude value of the visible area
  • maxLatitude - The maximum latitude value of the visible area
  • minLongitude - The minimum longitude value of the visible area
  • maxLongitude - The maximum longitude value of the visible area
import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { MapsModule } from '@syncfusion/ej2-angular-maps'
import { MarkerService, ZoomService } from '@syncfusion/ej2-angular-maps'

import {
    Component,
    ViewEncapsulation,
    ViewChild,
    ElementRef,
} from '@angular/core';
import { world_map } from './world-map';
import { MapsComponent } from '@syncfusion/ej2-angular-maps';

@Component({
imports: [
         MapsModule
    ],

providers: [MarkerService, ZoomService],
standalone: true,
    selector: 'app-container',
    template: ` <div class="control-section">
        <button id="button" (click)="getMinMaxValues()">GetMinMaxLatitudeLongitude</button>
    <p id="coordinatesDisplay" #coordinatesDisplay></p>
      <div align='center'>
      <ejs-maps id='container' #maps style="display:block;" [zoomSettings]="zoom" [centerPosition]="centerPosition">
      <e-layers>
      <e-layer [shapeData]='worldMap' [markerSettings]='markerSettings'></e-layer>
      </e-layers>
      </ejs-maps>
      </div>
      </div>`,
    encapsulation: ViewEncapsulation.None,
})
export class AppComponent {
    @ViewChild('maps')
    public mapObj?: MapsComponent;
    @ViewChild('coordinatesDisplay') coordinatesDisplay!: ElementRef;
    public worldMap = world_map;

    public formatKey(key: string): string {
        if (key === 'minLatitude') {
            return 'Minimum Latitude';
        } else if (key === 'maxLatitude') {
            return 'Maximum Latitude';
        } else if (key === 'minLongitude') {
            return 'Minimum Longitude';
        } else if (key === 'maxLongitude') {
            return 'Maximum Longitude';
        }
        return key;
    }

    public getMinMaxValues() {
        let mapBoundCoordinates: any;
        mapBoundCoordinates = this.mapObj?.getMinMaxLatitudeLongitude();
        if (this.coordinatesDisplay && this.coordinatesDisplay.nativeElement) {
            const displayDiv = this.coordinatesDisplay.nativeElement;
            if (mapBoundCoordinates) {
                displayDiv.innerHTML = '';
                for (const key in mapBoundCoordinates) {
                    if (Object.hasOwnProperty.call(mapBoundCoordinates, key)) {
                        const p = document.createElement('p');
                        const formattedKey = this.formatKey(key);
                        p.textContent = `${formattedKey}: ${mapBoundCoordinates[key]}`;
                        displayDiv.appendChild(p);
                    }
                }
            } else {
                displayDiv.textContent = 'No coordinates available';
            }
        }
    }

    public zoom: Object = {
        enable: true,
        zoomFactor: 7,
    };
    public centerPosition: Object = {
        latitude: 21.815447,
        longitude: 80.1932,
    };
    public markerSettings: Object = [
        {
            visible: true,
            height: 25,
            width: 25,
            shape: 'Circle',
            animationDuration: 1500,
            dataSource: [
                {
                    latitude: 22.572646,
                    longitude: 88.363895,
                },
                {
                    latitude: 25.0700428,
                    longitude: 67.2847875,
                },
            ],
        },
    ];
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Methods in React Maps component

The Maps control provides several public methods that enable programmatic control and interaction with map controls. These methods allow developers to perform operations such as retrieving geographic coordinates, manipulating layers, refreshing content, and exporting map visualizations. This section documents the available methods and their usage.

getMinMaxLatitudeLongitude

The getMinMaxLatitudeLongitude method retrieves the geographic boundary coordinates of the currently visible map area. This method returns an IMinMaxLatitudeLongitude object containing the minimum and maximum latitude and longitude values that define the map’s visible bounds.

Use cases:

This method is particularly useful when there is a need to:

  • Determine which geographic area is currently displayed to users
  • Implement custom zoom or pan controls with boundary validation
  • Synchronize multiple map instances to show the same geographic region
  • Calculate distances or perform spatial queries within the visible area
  • Log or save the current map view state for later restoration

Return value:

The method returns an object with the following structure:

  • minLatitude - The minimum latitude value of the visible area
  • maxLatitude - The maximum latitude value of the visible area
  • minLongitude - The minimum longitude value of the visible area
  • maxLongitude - The maximum longitude value of the visible area
import { world_map } from 'world-map.ts';
import * as React from "react";
import * as ReactDOM from "react-dom";
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import {
    MapsComponent,
    LayersDirective,
    LayerDirective,
    MarkersDirective,
    MarkerDirective,
    Inject,
    Marker,
    Zoom,
} from '@syncfusion/ej2-react-maps';

export function App() {
    var mapsInstance;
    function formatKey(key) {
        if (key === 'minLatitude') {
            return 'Minimum Latitude';
        } else if (key === 'maxLatitude') {
            return 'Maximum Latitude';
        } else if (key === 'minLongitude') {
            return 'Minimum Longitude';
        } else if (key === 'maxLongitude') {
            return 'Maximum Longitude';
        }
    }

    function getMinMaxValues() {
        var mapBoundCoordinates;
        mapBoundCoordinates = mapsInstance.getMinMaxLatitudeLongitude();
        const displayDiv = document.getElementById('coordinatesDisplay');
        displayDiv.innerHTML = '';
        if (mapBoundCoordinates) {
            for (const key in mapBoundCoordinates) {
                if (Object.hasOwnProperty.call(mapBoundCoordinates, key)) {
                    const p = document.createElement('p');
                    const formattedKey = formatKey(key);
                    p.textContent = `${formattedKey}: ${mapBoundCoordinates[key]}`;
                    displayDiv.appendChild(p);
                }
            }
        } else {
            displayDiv.textContent = 'No coordinates available';
        }
    }
    return (
        <div>
            <ButtonComponent onClick={getMinMaxValues}>
                GetMinMaxLatitudeLongitude
            </ButtonComponent>
            <p id="coordinatesDisplay"></p>
            <MapsComponent
                ref={(g) => (mapsInstance = g)}
                zoomSettings={{ enable: true, zoomFactor: 7 }}
                centerPosition={{
                    latitude: 21.815447,
                    longitude: 80.1932,
                }}
            >
                <Inject services={[Marker, Zoom]} />
                <LayersDirective>
                    <LayerDirective shapeData={world_map}>
                        <MarkersDirective>
                            <MarkerDirective
                                visible={true}
                                height={25}
                                width={25}
                                shape="Circle"
                                animationDuration={1500}
                                dataSource={[
                                    {
                                        latitude: 22.572646,
                                        longitude: 88.363895,
                                    },
                                    {
                                        latitude: 25.0700428,
                                        longitude: 67.2847875,
                                    },
                                ]}
                            ></MarkerDirective>
                        </MarkersDirective>
                    </LayerDirective>
                </LayersDirective>
            </MapsComponent>
        </div>
    );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);
import { world_map } from 'world-map.ts';
import * as React from "react";
import * as ReactDOM from "react-dom";
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import {
    MapsComponent,
    LayersDirective,
    LayerDirective,
    MarkersDirective,
    MarkerDirective,
    Inject,
    Marker,
    Zoom,
} from '@syncfusion/ej2-react-maps';
export function App() {
    let mapsInstance: MapsComponent;
    function formatKey(key) {
        if (key === 'minLatitude') {
            return 'Minimum Latitude';
        } else if (key === 'maxLatitude') {
            return 'Maximum Latitude';
        } else if (key === 'minLongitude') {
            return 'Minimum Longitude';
        } else if (key === 'maxLongitude') {
            return 'Maximum Longitude';
        }
    }

    function getMinMaxValues() {
        var mapBoundCoordinates;
        mapBoundCoordinates = mapsInstance.getMinMaxLatitudeLongitude();
        const displayDiv = document.getElementById('coordinatesDisplay');
        displayDiv.innerHTML = '';
        if (mapBoundCoordinates) {
            for (const key in mapBoundCoordinates) {
                if (Object.hasOwnProperty.call(mapBoundCoordinates, key)) {
                    const p = document.createElement('p');
                    const formattedKey = formatKey(key);
                    p.textContent = `${formattedKey}: ${mapBoundCoordinates[key]}`;
                    displayDiv.appendChild(p);
                }
            }
        } else {
            displayDiv.textContent = 'No coordinates available';
        }
    }
    return (
        <div>
            <ButtonComponent onClick={getMinMaxValues}>
                GetMinMaxLatitudeLongitude
            </ButtonComponent>
            <p id="coordinatesDisplay"></p>
            <MapsComponent
                ref={(g) => (mapsInstance = g)}
                zoomSettings={{ enable: true, zoomFactor: 7 }}
                centerPosition={{
                    latitude: 21.815447,
                    longitude: 80.1932,
                }}
            >
                <Inject services={[Marker, Zoom]} />
                <LayersDirective>
                    <LayerDirective shapeData={world_map}>
                        <MarkersDirective>
                            <MarkerDirective
                                visible={true}
                                height={25}
                                width={25}
                                shape="Circle"
                                animationDuration={1500}
                                dataSource={[
                                    {
                                        latitude: 22.572646,
                                        longitude: 88.363895,
                                    },
                                    {
                                        latitude: 25.0700428,
                                        longitude: 67.2847875,
                                    },
                                ]}
                            ></MarkerDirective>
                        </MarkersDirective>
                    </LayerDirective>
                </LayersDirective>
            </MapsComponent>
        </div>
    );
}
const root = ReactDOM.createRoot(document.getElementById('container'));
root.render(<App />);